"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TsParser_1 = require("../TsParser");
/**
 * Host that will be used for TypeScript AST operations that should be configurable or shared
 * across multiple doc types.
 */
var Host = /** @class */ (function () {
    function Host() {
        /** Whether multiple leading comments for a TypeScript node should be concatenated. */
        this.concatMultipleLeadingComments = true;
    }
    Host.prototype.getContent = function (declaration) {
        return TsParser_1.getContent(declaration, this.concatMultipleLeadingComments);
    };
    return Host;
}());
exports.Host = Host;
//# sourceMappingURL=host.js.map